{-|
[@ISO639-1@]        -

[@ISO639-2@]        -

[@ISO639-3@]        cbk

[@Native name@]     Chabacano

[@English name@]    Chavacano
-}
module Text.Numeral.Language.CBK.TestData (cardinals) where


--------------------------------------------------------------------------------
-- Imports
--------------------------------------------------------------------------------

import "numerals" Text.Numeral.Grammar ( defaultInflection )
import "this" Text.Numeral.Test ( TestData )


--------------------------------------------------------------------------------
-- Test data
--------------------------------------------------------------------------------

{-
Sources:
  http://www.languagesandnumbers.com/how-to-count-in-chavacano/en/cbk/
-}

cardinals :: (Num i) => TestData i
cardinals =
  [ ( "default"
    , defaultInflection
    , [ (0, "cero")
      , (1, "uno")
      , (2, "dos")
      , (3, "tres")
      , (4, "cuatro")
      , (5, "cinco")
      , (6, "seis")
      , (7, "siete")
      , (8, "ocho")
      , (9, "nueve")
      , (10, "diez")
      , (11, "once")
      , (12, "doce")
      , (13, "trece")
      , (14, "catorce")
      , (15, "quince")
      , (16, "dieciséis")
      , (17, "diecisiete")
      , (18, "dieciocho")
      , (19, "diecinueve")
      , (20, "veinte")
      , (21, "veintiún")
      , (22, "veintidós")
      , (23, "veintitrés")
      , (24, "veinticuatro")
      , (25, "veinticinco")
      , (26, "veintiséis")
      , (27, "veintisiete")
      , (28, "veintiocho")
      , (29, "veintinueve")
      , (30, "treinta")
      , (31, "treinta y uno")
      , (32, "treinta y dos")
      , (33, "treinta y tres")
      , (34, "treinta y cuatro")
      , (35, "treinta y cinco")
      , (36, "treinta y seis")
      , (37, "treinta y siete")
      , (38, "treinta y ocho")
      , (39, "treinta y nueve")
      , (40, "cuarenta")
      , (41, "cuarenta y uno")
      , (42, "cuarenta y dos")
      , (43, "cuarenta y tres")
      , (44, "cuarenta y cuatro")
      , (45, "cuarenta y cinco")
      , (46, "cuarenta y seis")
      , (47, "cuarenta y siete")
      , (48, "cuarenta y ocho")
      , (49, "cuarenta y nueve")
      , (50, "cinquenta")
      , (51, "cinquenta y uno")
      , (52, "cinquenta y dos")
      , (53, "cinquenta y tres")
      , (54, "cinquenta y cuatro")
      , (55, "cinquenta y cinco")
      , (56, "cinquenta y seis")
      , (57, "cinquenta y siete")
      , (58, "cinquenta y ocho")
      , (59, "cinquenta y nueve")
      , (60, "sesenta")
      , (61, "sesenta y uno")
      , (62, "sesenta y dos")
      , (63, "sesenta y tres")
      , (64, "sesenta y cuatro")
      , (65, "sesenta y cinco")
      , (66, "sesenta y seis")
      , (67, "sesenta y siete")
      , (68, "sesenta y ocho")
      , (69, "sesenta y nueve")
      , (70, "setenta")
      , (71, "setenta y uno")
      , (72, "setenta y dos")
      , (73, "setenta y tres")
      , (74, "setenta y cuatro")
      , (75, "setenta y cinco")
      , (76, "setenta y seis")
      , (77, "setenta y siete")
      , (78, "setenta y ocho")
      , (79, "setenta y nueve")
      , (80, "ochenta")
      , (81, "ochenta y uno")
      , (82, "ochenta y dos")
      , (83, "ochenta y tres")
      , (84, "ochenta y cuatro")
      , (85, "ochenta y cinco")
      , (86, "ochenta y seis")
      , (87, "ochenta y siete")
      , (88, "ochenta y ocho")
      , (89, "ochenta y nueve")
      , (90, "noventa")
      , (91, "noventa y uno")
      , (92, "noventa y dos")
      , (93, "noventa y tres")
      , (94, "noventa y cuatro")
      , (95, "noventa y cinco")
      , (96, "noventa y seis")
      , (97, "noventa y siete")
      , (98, "noventa y ocho")
      , (99, "noventa y nueve")
      , (100, "ciento")
      , (101, "ciento uno")
      , (102, "ciento dos")
      , (103, "ciento tres")
      , (104, "ciento cuatro")
      , (105, "ciento cinco")
      , (106, "ciento seis")
      , (107, "ciento siete")
      , (108, "ciento ocho")
      , (109, "ciento nueve")
      , (110, "ciento diez")
      , (123, "ciento veintitrés")
      , (200, "dos cientos")
      , (300, "tres cientos")
      , (321, "tres cientos veintiún")
      , (400, "cuatro cientos")
      , (500, "quinientos")
      , (600, "seis cientos")
      , (700, "siete cientos")
      , (800, "ocho cientos")
      , (900, "nueve cientos")
      , (909, "nueve cientos nueve")
      , (990, "nueve cientos noventa")
      , (999, "nueve cientos noventa y nueve")
      , (1000, "un mil")
      , (1001, "un mil uno")
      , (1008, "un mil ocho")
      , (1234, "un mil dos cientos treinta y cuatro")
      , (2000, "dos mil")
      , (3000, "tres mil")
      , (4000, "cuatro mil")
      , (4321, "cuatro mil tres cientos veintiún")
      , (5000, "cinco mil")
      , (6000, "seis mil")
      , (7000, "siete mil")
      , (8000, "ocho mil")
      , (9000, "nueve mil")
      , (10000, "diez mil")
      , (12345, "doce mil tres cientos cuarenta y cinco")
      , (20000, "veinte mil")
      , (30000, "treinta mil")
      , (40000, "cuarenta mil")
      , (50000, "cinquenta mil")
      , (54321, "cinquenta y cuatro mil tres cientos veintiún")
      , (60000, "sesenta mil")
      , (70000, "setenta mil")
      , (80000, "ochenta mil")
      , (90000, "noventa mil")
      , (100000, "ciento mil")
      , (123456, "ciento veintitrés mil cuatro cientos cinquenta y seis")
      , (200000, "dos cientos mil")
      , (300000, "tres cientos mil")
      , (400000, "cuatro cientos mil")
      , (500000, "quinientos mil")
      , (600000, "seis cientos mil")
      , (654321, "seis cientos cinquenta y cuatro mil tres cientos veintiún")
      , (700000, "siete cientos mil")
      , (800000, "ocho cientos mil")
      , (900000, "nueve cientos mil")
      , (1000000, "un millón")
      , (1234567, "un millón dos cientos treinta y cuatro mil quinientos sesenta y siete")
      , (7654321, "siete millones seis cientos cinquenta y cuatro mil tres cientos veintiún")
      , (1000000000, "un billón")
      , (1000000000000, "un trillón")
      , (1000000000000000, "un cuatrillón")
      , (1000000000000000000, "un quintillón")
      , (1000000000000000000000, "un sextillón")
      , (1000000000000000000000000, "un septillón")
      , (1000000000000000000000000000, "un octillón")
      , (1000000000000000000000000000000, "un nonillón")
      , (1000000000000000000000000000000000, "un decallón")
      ]
    )
  ]
