{-|
[@ISO639-1@]        lb

[@ISO639-2@]        ltz

[@ISO639-3@]        ltz

[@Native name@]     Lëtzebuergesch

[@English name@]    Luxembourgish
-}
module Text.Numeral.Language.LTZ.TestData (cardinals) where


--------------------------------------------------------------------------------
-- Imports
--------------------------------------------------------------------------------

import "numerals" Text.Numeral.Grammar ( defaultInflection )
import "this" Text.Numeral.Test ( TestData )


--------------------------------------------------------------------------------
-- Test data
--------------------------------------------------------------------------------

{-
Sources:
  http://www.languagesandnumbers.com/how-to-count-in-luxembourgish/en/ltz/
-}

cardinals :: (Num i) => TestData i
cardinals =
  [ ( "default"
    , defaultInflection
    , [ (0, "null")
      , (1, "eent")
      , (2, "zwee")
      , (3, "dräi")
      , (4, "véier")
      , (5, "fënnef")
      , (6, "sechs")
      , (7, "siwen")
      , (8, "aacht")
      , (9, "néng")
      , (10, "zéng")
      , (11, "elef")
      , (12, "zwielef")
      , (13, "dräizéng")
      , (14, "véierzéng")
      , (15, "fofzéng")
      , (16, "siechzéng")
      , (17, "siwwenzéng")
      , (18, "uechtzéng")
      , (19, "nonzéng")
      , (20, "zwanzeg")
      , (21, "eenanzwanzeg")
      , (22, "zweeanzwanzeg")
      , (23, "dräianzwanzeg")
      , (24, "véieranzwanzeg")
      , (25, "fënnefanzwanzeg")
      , (26, "sechsanzwanzeg")
      , (27, "siwenanzwanzeg")
      , (28, "aachtanzwanzeg")
      , (29, "nénganzwanzeg")
      , (30, "drësseg")
      , (31, "eenandrësseg")
      , (32, "zweeandrësseg")
      , (33, "dräiandrësseg")
      , (34, "véierandrësseg")
      , (35, "fënnefandrësseg")
      , (36, "sechsandrësseg")
      , (37, "siwenandrësseg")
      , (38, "aachtandrësseg")
      , (39, "néngandrësseg")
      , (40, "véierzeg")
      , (41, "eenanvéierzeg")
      , (42, "zweeanvéierzeg")
      , (43, "dräianvéierzeg")
      , (44, "véieranvéierzeg")
      , (45, "fënnefanvéierzeg")
      , (46, "sechsanvéierzeg")
      , (47, "siwenanvéierzeg")
      , (48, "aachtanvéierzeg")
      , (49, "nénganvéierzeg")
      , (50, "fofzeg")
      , (51, "eenanfofzeg")
      , (52, "zweeanfofzeg")
      , (53, "dräianfofzeg")
      , (54, "véieranfofzeg")
      , (55, "fënnefanfofzeg")
      , (56, "sechsanfofzeg")
      , (57, "siwenanfofzeg")
      , (58, "aachtanfofzeg")
      , (59, "nénganfofzeg")
      , (60, "sechzeg")
      , (61, "eenansechzeg")
      , (62, "zweeansechzeg")
      , (63, "dräiansechzeg")
      , (64, "véieransechzeg")
      , (65, "fënnefansechzeg")
      , (66, "sechsansechzeg")
      , (67, "siwenansechzeg")
      , (68, "aachtansechzeg")
      , (69, "néngansechzeg")
      , (70, "siwwenzeg")
      , (71, "eenansiwwenzeg")
      , (72, "zweeansiwwenzeg")
      , (73, "dräiansiwwenzeg")
      , (74, "véieransiwwenzeg")
      , (75, "fënnefansiwwenzeg")
      , (76, "sechsansiwwenzeg")
      , (77, "siwenansiwwenzeg")
      , (78, "aachtansiwwenzeg")
      , (79, "néngansiwwenzeg")
      , (80, "achtzeg")
      , (81, "eenanachtzeg")
      , (82, "zweeanachtzeg")
      , (83, "dräianachtzeg")
      , (84, "véieranachtzeg")
      , (85, "fënnefanachtzeg")
      , (86, "sechsanachtzeg")
      , (87, "siwenanachtzeg")
      , (88, "aachtanachtzeg")
      , (89, "nénganachtzeg")
      , (90, "nonzeg")
      , (91, "eenannonzeg")
      , (92, "zweeannonzeg")
      , (93, "dräiannonzeg")
      , (94, "véierannonzeg")
      , (95, "fënnefannonzeg")
      , (96, "sechsannonzeg")
      , (97, "siwenannonzeg")
      , (98, "aachtannonzeg")
      , (99, "néngannonzeg")
      , (100, "honnert")
      , (101, "honnerteent")
      , (102, "honnertzwee")
      , (103, "honnertdräi")
      , (104, "honnertvéier")
      , (105, "honnertfënnef")
      , (106, "honnertsechs")
      , (107, "honnertsiwen")
      , (108, "honnertaacht")
      , (109, "honnertnéng")
      , (110, "honnertzéng")
      , (123, "honnertdräianzwanzeg")
      , (200, "zweehonnert")
      , (300, "dräihonnert")
      , (321, "dräihonnerteenanzwanzeg")
      , (400, "véierhonnert")
      , (500, "fënnefhonnert")
      , (600, "sechshonnert")
      , (700, "siwenhonnert")
      , (800, "aachthonnert")
      , (900, "nénghonnert")
      , (909, "nénghonnertnéng")
      , (990, "nénghonnertnonzeg")
      , (999, "nénghonnertnéngannonzeg")
      , (1000, "dausend")
      , (1001, "dausendeent")
      , (1008, "dausendaacht")
      , (1234, "dausendzweehonnertvéierandrësseg")
      , (2000, "zweedausend")
      , (3000, "dräidausend")
      , (4000, "véierdausend")
      , (4321, "véierdausenddräihonnerteenanzwanzeg")
      , (5000, "fënnefdausend")
      , (6000, "sechsdausend")
      , (7000, "siwendausend")
      , (8000, "aachtdausend")
      , (9000, "néngdausend")
      , (10000, "zéngdausend")
      , (12345, "zwielefdausenddräihonnertfënnefanvéierzeg")
      , (20000, "zwanzegdausend")
      , (30000, "drëssegdausend")
      , (40000, "véierzegdausend")
      , (50000, "fofzegdausend")
      , (54321, "véieranfofzegdausenddräihonnerteenanzwanzeg")
      , (60000, "sechzegdausend")
      , (70000, "siwwenzegdausend")
      , (80000, "achtzegdausend")
      , (90000, "nonzegdausend")
      , (100000, "honnertdausend")
      , (123456, "honnertdräianzwanzegdausendvéierhonnertsechsanfofzeg")
      , (200000, "zweehonnertdausend")
      , (300000, "dräihonnertdausend")
      , (400000, "véierhonnertdausend")
      , (500000, "fënnefhonnertdausend")
      , (600000, "sechshonnertdausend")
      , (654321, "sechshonnertvéieranfofzegdausenddräihonnerteenanzwanzeg")
      , (700000, "siwenhonnertdausend")
      , (800000, "aachthonnertdausend")
      , (900000, "nénghonnertdausend")
      , (1000000, "eng Millioun")
      , (1000001, "eng Millioun eent")
      , (1234567, "eng Millioun zweehonnertvéierandrëssegdausendfënnefhonnertsiwenansechzeg")
      , (2000000, "zwou Milliounen")
      , (3000000, "dräi Milliounen")
      , (4000000, "véier Milliounen")
      , (5000000, "fënnef Milliounen")
      , (6000000, "sechs Milliounen")
      , (7000000, "siwen Milliounen")
      , (7654321, "siwen Milliounen sechshonnertvéieranfofzegdausenddräihonnerteenanzwanzeg")
      , (8000000, "aacht Milliounen")
      , (9000000, "néng Milliounen")
      , (1000000000, "eng Milliard")
      , (1000000001, "eng Milliard eent")
      , (2000000000, "zwou Milliarden")
      , (3000000000, "dräi Milliarden")
      , (4000000000, "véier Milliarden")
      , (5000000000, "fënnef Milliarden")
      , (6000000000, "sechs Milliarden")
      , (7000000000, "siwen Milliarden")
      , (8000000000, "aacht Milliarden")
      , (9000000000, "néng Milliarden")
      , (1000000000000, "eng Billion")
      , (1000000000001, "eng Billion eent")
      , (2000000000000, "zwou Billionen")
      , (3000000000000, "dräi Billionen")
      , (4000000000000, "véier Billionen")
      , (5000000000000, "fënnef Billionen")
      , (6000000000000, "sechs Billionen")
      , (7000000000000, "siwen Billionen")
      , (8000000000000, "aacht Billionen")
      , (9000000000000, "néng Billionen")
      , (1000000000000000, "eng Billiard")
      , (1000000000000001, "eng Billiard eent")
      , (2000000000000000, "zwou Billiarden")
      , (3000000000000000, "dräi Billiarden")
      , (4000000000000000, "véier Billiarden")
      , (5000000000000000, "fënnef Billiarden")
      , (6000000000000000, "sechs Billiarden")
      , (7000000000000000, "siwen Billiarden")
      , (8000000000000000, "aacht Billiarden")
      , (9000000000000000, "néng Billiarden")
      ]
    )
  ]
