{-|
[@ISO639-1@]        se

[@ISO639-2@]        sme

[@ISO639-3@]        sme

[@Native name@]     davvisámegiella

[@English name@]    Northern Sami
-}
module Text.Numeral.Language.SME.TestData (cardinals) where


--------------------------------------------------------------------------------
-- Imports
--------------------------------------------------------------------------------

import "numerals" Text.Numeral.Grammar ( defaultInflection )
import "this" Text.Numeral.Test ( TestData )


--------------------------------------------------------------------------------
-- Test data
--------------------------------------------------------------------------------

{-
Sources:
  http://www.languagesandnumbers.com/how-to-count-in-northern-sami/en/sme/
-}

cardinals :: (Num i) => TestData i
cardinals =
  [ ( "default"
    , defaultInflection
    , [ (1, "okta")
      , (2, "guokte")
      , (3, "golbma")
      , (4, "njeallje")
      , (5, "vihtta")
      , (6, "guhtta")
      , (7, "čieža")
      , (8, "gávcci")
      , (9, "ovcci")
      , (10, "logi")
      , (11, "oktanuppelohkái")
      , (12, "guoktenuppelohkái")
      , (13, "golbmanuppelohkái")
      , (14, "njealljenuppelohkái")
      , (15, "vihttanuppelohkái")
      , (16, "guhttanuppelohkái")
      , (17, "čiežanuppelohkái")
      , (18, "gávccinuppelohkái")
      , (19, "ovccinuppelohkái")
      , (20, "guoktelogi")
      , (21, "guoktelogiokta")
      , (22, "guoktelogiguokte")
      , (23, "guoktelogigolbma")
      , (24, "guokteloginjeallje")
      , (25, "guoktelogivihtta")
      , (26, "guoktelogiguhtta")
      , (27, "guoktelogičieža")
      , (28, "guoktelogigávcci")
      , (29, "guoktelogiovcci")
      , (30, "golbmalogi")
      , (31, "golbmalogiokta")
      , (32, "golbmalogiguokte")
      , (33, "golbmalogigolbma")
      , (34, "golbmaloginjeallje")
      , (35, "golbmalogivihtta")
      , (36, "golbmalogiguhtta")
      , (37, "golbmalogičieža")
      , (38, "golbmalogigávcci")
      , (39, "golbmalogiovcci")
      , (40, "njealljelogi")
      , (41, "njealljelogiokta")
      , (42, "njealljelogiguokte")
      , (43, "njealljelogigolbma")
      , (44, "njealljeloginjeallje")
      , (45, "njealljelogivihtta")
      , (46, "njealljelogiguhtta")
      , (47, "njealljelogičieža")
      , (48, "njealljelogigávcci")
      , (49, "njealljelogiovcci")
      , (50, "vihttalogi")
      , (51, "vihttalogiokta")
      , (52, "vihttalogiguokte")
      , (53, "vihttalogigolbma")
      , (54, "vihttaloginjeallje")
      , (55, "vihttalogivihtta")
      , (56, "vihttalogiguhtta")
      , (57, "vihttalogičieža")
      , (58, "vihttalogigávcci")
      , (59, "vihttalogiovcci")
      , (60, "guhttalogi")
      , (61, "guhttalogiokta")
      , (62, "guhttalogiguokte")
      , (63, "guhttalogigolbma")
      , (64, "guhttaloginjeallje")
      , (65, "guhttalogivihtta")
      , (66, "guhttalogiguhtta")
      , (67, "guhttalogičieža")
      , (68, "guhttalogigávcci")
      , (69, "guhttalogiovcci")
      , (70, "čiežalogi")
      , (71, "čiežalogiokta")
      , (72, "čiežalogiguokte")
      , (73, "čiežalogigolbma")
      , (74, "čiežaloginjeallje")
      , (75, "čiežalogivihtta")
      , (76, "čiežalogiguhtta")
      , (77, "čiežalogičieža")
      , (78, "čiežalogigávcci")
      , (79, "čiežalogiovcci")
      , (80, "gávccilogi")
      , (81, "gávccilogiokta")
      , (82, "gávccilogiguokte")
      , (83, "gávccilogigolbma")
      , (84, "gávcciloginjeallje")
      , (85, "gávccilogivihtta")
      , (86, "gávccilogiguhtta")
      , (87, "gávccilogičieža")
      , (88, "gávccilogigávcci")
      , (89, "gávccilogiovcci")
      , (90, "ovccilogi")
      , (91, "ovccilogiokta")
      , (92, "ovccilogiguokte")
      , (93, "ovccilogigolbma")
      , (94, "ovcciloginjeallje")
      , (95, "ovccilogivihtta")
      , (96, "ovccilogiguhtta")
      , (97, "ovccilogičieža")
      , (98, "ovccilogigávcci")
      , (99, "ovccilogiovcci")
      , (100, "čuođi")
      , (101, "čuođiokta")
      , (102, "čuođiguokte")
      , (103, "čuođigolbma")
      , (104, "čuođinjeallje")
      , (105, "čuođivihtta")
      , (106, "čuođiguhtta")
      , (107, "čuođičieža")
      , (108, "čuođigávcci")
      , (109, "čuođiovcci")
      , (110, "čuođilogi")
      , (123, "čuođiguoktelogigolbma")
      , (200, "guoktečuođi")
      , (300, "golbmačuođi")
      , (321, "golbmačuođiguoktelogiokta")
      , (400, "njeallječuođi")
      , (500, "vihttačuođi")
      , (600, "guhttačuođi")
      , (700, "čiežačuođi")
      , (800, "gávccičuođi")
      , (900, "ovccičuođi")
      , (909, "ovccičuođiovcci")
      , (990, "ovccičuođiovccilogi")
      , (999, "ovccičuođiovccilogiovcci")
      , (1000, "duhat")
      , (1001, "duhatokta")
      , (1008, "duhatgávcci")
      , (1234, "duhatguoktečuođigolbmaloginjeallje")
      , (2000, "guokteduhat")
      , (3000, "golbmaduhat")
      , (4000, "njealljeduhat")
      , (4321, "njealljeduhatgolbmačuođiguoktelogiokta")
      , (5000, "vihttaduhat")
      , (6000, "guhttaduhat")
      , (7000, "čiežaduhat")
      , (8000, "gávcciduhat")
      , (9000, "ovcciduhat")
      , (10000, "logi duhat")
      , (12345, "guoktenuppelohkái duhatgolbmačuođinjealljelogivihtta")
      , (20000, "guoktelogi duhat")
      , (30000, "golbmalogi duhat")
      , (40000, "njealljelogi duhat")
      , (50000, "vihttalogi duhat")
      , (54321, "vihttaloginjealljeduhatgolbmačuođiguoktelogiokta")
      , (60000, "guhttalogi duhat")
      , (70000, "čiežalogi duhat")
      , (80000, "gávccilogi duhat")
      , (90000, "ovccilogi duhat")
      , (100000, "čuođi duhat")
      , (123456, "čuođiguoktelogigolbmaduhatnjeallječuođivihttalogiguhtta")
      , (200000, "guoktečuođi duhat")
      , (300000, "golbmačuođi duhat")
      , (400000, "njeallječuođi duhat")
      , (500000, "vihttačuođi duhat")
      , (600000, "guhttačuođi duhat")
      , (654321, "guhttačuođivihttaloginjealljeduhatgolbmačuođiguoktelogiokta")
      , (700000, "čiežačuođi duhat")
      , (800000, "gávccičuođi duhat")
      , (900000, "ovccičuođi duhat")
      , (1000000, "miljon")
      , (1000001, "miljonokta")
      , (1234567, "miljonguoktečuođigolbmaloginjealljeduhatvihttačuođiguhttalogičieža")
      , (2000000, "guoktemiljovnna")
      , (3000000, "golbmamiljovnna")
      , (4000000, "njealljemiljovnna")
      , (5000000, "vihttamiljovnna")
      , (6000000, "guhttamiljovnna")
      , (7000000, "čiežamiljovnna")
      , (7654321, "čiežamiljovnnaguhttačuođivihttaloginjealljeduhatgolbmačuođiguoktelogiokta")
      , (8000000, "gávccimiljovnna")
      , (9000000, "ovccimiljovnna")
      ]
    )
  ]
